System 2.0.0.0 4.0.0.0 System.ValueType

The structure is the data structure used to specify each advisory connection. It is used for enumerating current advisory connections.

For more information about the STATDATA structure, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the STATDATA structure.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ADVF

  For more information about the STATDATA structure, see the MSDN Library.

  Represents the enumeration value that determines when the advisory sink is notified of changes in the data.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IAdviseSink

  For more information about the STATDATA structure, see the MSDN Library.

  Represents the interface that will receive change notifications.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about the STATDATA structure, see the MSDN Library.

  Represents the token that uniquely identifies the advisory connection. This token is returned by the method that sets up the advisory connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FORMATETC

  For more information about the STATDATA structure, see the MSDN Library.

  Represents the structure for the data of interest to the advise sink. The advise sink receives notification of changes to the data specified by this structure.